Package org.silverpeas.mobile.client.components.base

## Class Page

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.Page

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `com.google.gwt.user.client.Window.ScrollHandler`

      public class Page
      extends com.google.gwt.user.client.ui.Composite
      implements com.google.gwt.user.client.Window.ScrollHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected com.google.gwt.user.client.ui.HTMLPanel` | `container` |
    `protected PageContent` | `content` |
    `protected com.google.gwt.dom.client.DivElement` | `contentContainer` |
    `protected com.google.gwt.user.client.ui.SimplePanel` | `contentPlace` |
    `protected com.google.gwt.user.client.ui.SimplePanel` | `contentPlaceTmp` |
    `protected PageFooter` | `footer` |
    `protected PageHeader` | `header` |
    `protected NavigationMenu` | `menu` |

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Page()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `closeMenu()` |
    `void` | `freeze()` |
    `com.google.gwt.dom.client.DivElement` | `getContentContainer()` |
    `int` | `getFooterHeight()` |
    `PageHeader` | `getHeader()` |
    `int` | `getHeaderHeight()` |
    `void` | `hideFooter()` |
    `void` | `hideOfflineIndicator()` |
    `boolean` | `isPersonalAppsInitialized()` |
    `void` | `onWindowScroll​(com.google.gwt.user.client.Window.ScrollEvent event)` |
    `void` | `resetSearchField()` |
    `void` | `setContent​(PageContent content, boolean newContent)` |
    `void` | `setPersonalApps​(List<ApplicationInstanceDTO> applicationInstanceDTOS)` |
    `void` | `setUser​(DetailUserDTO user)` |
    `void` | `showFooter()` |
    `void` | `showOfflineIndicator()` |
    `void` | `toogleMenu()` |
    `void` | `unfreeze()` |

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### contentPlace

          @UiField
          protected com.google.gwt.user.client.ui.SimplePanel contentPlace

    - #### contentPlaceTmp

          @UiField
          protected com.google.gwt.user.client.ui.SimplePanel contentPlaceTmp

    - #### header

          @UiField
          protected PageHeader header

    - #### menu

          @UiField
          protected NavigationMenu menu

    - #### contentContainer

          @UiField
          protected com.google.gwt.dom.client.DivElement contentContainer

    - #### footer

          @UiField
          protected PageFooter footer

    - #### container

          @UiField
          protected com.google.gwt.user.client.ui.HTMLPanel container

    - #### content

          protected PageContent content

  - ### Constructor Detail

    - #### Page

          public Page()

  - ### Method Detail

    - #### getContentContainer

          public com.google.gwt.dom.client.DivElement getContentContainer()

    - #### setContent

          public void setContent​(PageContent content,
                                 boolean newContent)

    - #### toogleMenu

          public void toogleMenu()

    - #### closeMenu

          public void closeMenu()

    - #### setUser

          public void setUser​(DetailUserDTO user)

    - #### resetSearchField

          public void resetSearchField()

    - #### hideFooter

          public void hideFooter()

    - #### showFooter

          public void showFooter()

    - #### onWindowScroll

          public void onWindowScroll​(com.google.gwt.user.client.Window.ScrollEvent event)

      Specified by:
        `onWindowScroll` in interface `com.google.gwt.user.client.Window.ScrollHandler`

    - #### getHeaderHeight

          public int getHeaderHeight()

    - #### getFooterHeight

          public int getFooterHeight()

    - #### getHeader

          public PageHeader getHeader()

    - #### showOfflineIndicator

          public void showOfflineIndicator()

    - #### hideOfflineIndicator

          public void hideOfflineIndicator()

    - #### setPersonalApps

          public void setPersonalApps​(List<ApplicationInstanceDTO> applicationInstanceDTOS)

    - #### isPersonalAppsInitialized

          public boolean isPersonalAppsInitialized()

    - #### freeze

          public void freeze()

    - #### unfreeze

          public void unfreeze()